HttpRequestPool
HttpRequestPool::__construct
HttpRequestPool
PHP Manual

# HttpRequestPool::attach

(PECL pecl_http >= 0.10.0)

HttpRequestPool::attach — Attach HttpRequest

### Description

public bool HttpRequestPool::attach ( HttpRequest `$request` )

Attach an HttpRequest object to this HttpRequestPool.

Warning

Set all options prior attaching!

### Parameters

`request`

  an HttpRequest object not already attached to any HttpRequestPool object

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

Throws HttpInvalidParamException, HttpRequestException, HttpRequestPoolException, HttpEncodingException.

HttpRequestPool
HttpRequestPool::__construct
HttpRequestPool
PHP Manual